Bug 1908918 - Pipeline builder yaml view sidebar is not responsive
Summary: Pipeline builder yaml view sidebar is not responsive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Vikram Raj
QA Contact: Karthik Jeeyar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 22:22 UTC by Vikram Raj
Modified: 2021-02-24 15:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:46:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7595 0 None closed Bug 1908918: Fix Pipeline builder yaml view layout 2021-01-15 12:25:11 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:46:50 UTC

Description Vikram Raj 2020-12-17 22:22:38 UTC
Description of problem:
In pipeline builder yaml view, the snippets sidebar is not visible in smaller screens.

Prerequisites (if any, like setup, operators/versions):
Install `openshift pipelines operator`

Steps to Reproduce
1. Go to create pipeline page
2. Switch to yaml view and resize the browser window to small size.

Actual results:
Snippets sidebar sections should be visible.

Expected results:
Snippets sidebar section is not visible.
 
Reproducibility (Always/Intermittent/Only Once):
Always

Build Details: 
4.7.0-0.nightly-2020-12-09-112139

Comment 2 Karthik Jeeyar 2021-01-08 10:24:59 UTC
Verified on 
Build: 4.7.0-0.nightly-2021-01-07-181010
cluster: https://console-openshift-console.apps.dev-svc-4.7-010801.devcluster.openshift.com/k8s/ns/default/tekton.dev~v1beta1~Pipeline/~new/builder
user: kubeadmin

Comment 5 errata-xmlrpc 2021-02-24 15:46:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.